NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.BlendCornerBuilder Class Reference

Represents a NXOpen.Features.BlendCorner builder. More...

Inheritance diagram for NXOpen.Features.BlendCornerBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ContinuityTypes { G1, G2 }
 Continuity options More...
 

Public Member Functions

unsafe
NXOpen.GeometricUtilities.BlendSetbackBuilder 
CreateBlendSetbackBuilder ()
 Create a blend setback builder object. More...
 
unsafe
NXOpen.GeometricUtilities.TransitionCurveBuilder 
CreateTransitionCurveBuilder ()
 Create a transition curve data builder object. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AllowTransitionCurveOnBlends [get, set]
 Returns or sets the transition curve on blend faces More...
 
unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe NXOpen.Point CenterPoint [get, set]
 Returns or sets the center point. More...
 
unsafe
NXOpen.Features.BlendCornerBuilder.ContinuityTypes 
Continuity [get, set]
 Returns or sets the continuity type More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Expression Fullness [get]
 Returns the fullness value. More...
 
unsafe
NXOpen.GeometricUtilities.BlendSetbackBuilderList 
LimitCurveList [get]
 Returns the limit curve list More...
 
unsafe bool SewToBody [get, set]
 Returns or sets the sew to body More...
 
unsafe
NXOpen.GeometricUtilities.TransitionCurveBuilderList 
TransitionCurveList [get]
 Returns the transition curve list More...
 
unsafe bool UseCenterPoint [get, set]
 Returns or sets the use center point flag. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.BlendCorner builder.

To create a new instance of this class, use NXOpen.Features.FreeformSurfaceCollection.CreateBlendCornerBuilder

Default values.

Property Value

AllowTransitionCurveOnBlends

1

Continuity

G1

Fullness.Value

0 (millimeters part), 0 (inches part)

SewToBody

1

UseCenterPoint

0

Created in NX9.0.0

Member Enumeration Documentation

Continuity options

Enumerator
G1 

Tangent continuity

G2 

Curvature continuity

Member Function Documentation

unsafe NXOpen.GeometricUtilities.BlendSetbackBuilder NXOpen.Features.BlendCornerBuilder.CreateBlendSetbackBuilder ( )
inline

Create a blend setback builder object.

Created in NX9.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Returns
unsafe NXOpen.GeometricUtilities.TransitionCurveBuilder NXOpen.Features.BlendCornerBuilder.CreateTransitionCurveBuilder ( )
inline

Create a transition curve data builder object.

Created in NX9.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Returns

Property Documentation

unsafe bool NXOpen.Features.BlendCornerBuilder.AllowTransitionCurveOnBlends
getset

Returns or sets the transition curve on blend faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.BlendCornerBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

It will be used to control the tangency of the curves and corner surface

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point NXOpen.Features.BlendCornerBuilder.CenterPoint
getset

Returns or sets the center point.

The corner patch will pass through the center point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.BlendCornerBuilder.ContinuityTypes NXOpen.Features.BlendCornerBuilder.Continuity
getset

Returns or sets the continuity type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.BlendCornerBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

It will be used to control the precision of curves and corner surface

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Expression NXOpen.Features.BlendCornerBuilder.Fullness
get

Returns the fullness value.

It is an offset distance of the center point from the default position when the center point control is off.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.BlendSetbackBuilderList NXOpen.Features.BlendCornerBuilder.LimitCurveList
get

Returns the limit curve list

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.BlendCornerBuilder.SewToBody
getset

Returns or sets the sew to body

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.TransitionCurveBuilderList NXOpen.Features.BlendCornerBuilder.TransitionCurveList
get

Returns the transition curve list

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.BlendCornerBuilder.UseCenterPoint
getset

Returns or sets the use center point flag.

It will enable/disable the shape fullness control. When the control is enabled, the patch surface will pass through the specified center point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.